/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package komponente.tabela.model;

import domen.PoslovniPartner;
import domen.Proizvod;
import domen.Racun;
import domen.StavkaRacuna;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student
 */
public class ModelTabeleStavkaRacuna extends AbstractTableModel {

    Racun racun;
    String[] kolone = {"Rb", "Sifra", "Naziv", "Cena", "Kolicina"};

    public ModelTabeleStavkaRacuna(Racun racun) {
        this.racun = racun;
    }

    @Override
    public int getRowCount() {
        if (racun == null) {
            return 0;
        }
        return racun.getStavkeRacuna().size();
    }

    @Override
    public int getColumnCount() {
        return 5;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        StavkaRacuna stavkaRacuna = racun.getStavkeRacuna().get(rowIndex);
        switch (columnIndex) {
            case 0:
                return stavkaRacuna.getRb();
            case 1:
                return stavkaRacuna.getProizvod().getSifra();
            case 2:
                return stavkaRacuna.getProizvod().getNaziv();
            case 3:
                return stavkaRacuna.getProizvod().getCena();
            case 4:
                return stavkaRacuna.getKolicina();
            default:
                return "N/A";
        }
    }

    @Override
    public String getColumnName(int column) {
        return kolone[column];
    }

    public void dodajStavku(Proizvod p, int kolicina) {
        List<StavkaRacuna>stavkeRacuna = racun.getStavkeRacuna();
        StavkaRacuna sr = null;
        for (StavkaRacuna stavkaRacuna : stavkeRacuna) {
            if(stavkaRacuna.getProizvod().equals(p)){
                sr=stavkaRacuna;
                break;
            }
        }
        
        if(sr==null){
            StavkaRacuna novaSR = new StavkaRacuna();
            novaSR.setRacun(racun);
            novaSR.setRb(racun.getStavkeRacuna().size()+1);
            novaSR.setProizvod(p);
            novaSR.setKolicina(kolicina);
            racun.getStavkeRacuna().add(novaSR);
        }else{
            sr.setKolicina(sr.getKolicina()+kolicina);
        }
        racun.setUkupanIznos(racun.getUkupanIznos()+kolicina*p.getCena());
        fireTableDataChanged();
        
        
    }

    public Racun getRacun() {
        return racun;
    }

}
