/*
SQLyog Community v12.08 (32 bit)
MySQL - 5.6.12-log : Database - prosoft
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prosoft` /*!40100 DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci */;

USE `prosoft`;

/*Table structure for table `mesto` */

DROP TABLE IF EXISTS `mesto`;

CREATE TABLE `mesto` (
  `ppt` bigint(20) NOT NULL,
  `naziv` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`ppt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `mesto` */

insert  into `mesto`(`ppt`,`naziv`) values (11000,'Beograd'),(21000,'Novi Sad'),(35000,'Jagodina');

/*Table structure for table `poslovni_partner` */

DROP TABLE IF EXISTS `poslovni_partner`;

CREATE TABLE `poslovni_partner` (
  `pib` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL,
  `maticniBroj` varchar(8) COLLATE utf8_unicode_ci NOT NULL,
  `naziv` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ulica` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `broj` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ppt` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`maticniBroj`),
  KEY `ppt_fk` (`ppt`),
  CONSTRAINT `ppt_fk` FOREIGN KEY (`ppt`) REFERENCES `mesto` (`ppt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `poslovni_partner` */

insert  into `poslovni_partner`(`pib`,`maticniBroj`,`naziv`,`ulica`,`broj`,`ppt`) values ('12','1','ii','23','33',11000),('10','10','10','10','10',11000),('123','2','ii','2','2',11000),('20','20','10','10','10',11000),('3','3','3','3','3',11000),('45','45','45','45','45',11000);

/*Table structure for table `proizvod` */

DROP TABLE IF EXISTS `proizvod`;

CREATE TABLE `proizvod` (
  `sifra` bigint(20) NOT NULL,
  `naziv` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `cena` double DEFAULT NULL,
  PRIMARY KEY (`sifra`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `proizvod` */

insert  into `proizvod`(`sifra`,`naziv`,`cena`) values (1,'proizvod1',50),(2,'proizvod2',60),(3,'proizvod3',70);

/*Table structure for table `racun` */

DROP TABLE IF EXISTS `racun`;

CREATE TABLE `racun` (
  `broj` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `datumIzdavanja` date DEFAULT NULL,
  `poslovniPartner` varchar(8) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ukupanIznos` double DEFAULT NULL,
  KEY `poslovniPartnerFK` (`poslovniPartner`),
  CONSTRAINT `poslovniPartnerFK` FOREIGN KEY (`poslovniPartner`) REFERENCES `poslovni_partner` (`maticniBroj`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `racun` */

/*Table structure for table `stavke_racuna` */

DROP TABLE IF EXISTS `stavke_racuna`;

CREATE TABLE `stavke_racuna` (
  `brojRacuna` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `rb` int(11) NOT NULL,
  `proizvodID` bigint(20) DEFAULT NULL,
  `kolicina` int(11) DEFAULT NULL,
  PRIMARY KEY (`brojRacuna`,`rb`),
  KEY `proizvodID` (`proizvodID`),
  CONSTRAINT `stavke_racuna_ibfk_1` FOREIGN KEY (`proizvodID`) REFERENCES `proizvod` (`sifra`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `stavke_racuna` */

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
